// creator  : weidu.exe (version 23100)
// argument : _KHALIP.DLG
// game		 : .
// source	 : ./override/_KHALIP.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_KHALIP~

IF ~Dead("jaheira")
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 0 // from:
  SAY #86937 /* ~I-It would seem our paths were destined to c-cross once more.  Perhaps we s-should rejoin and continue on as Gorion would have w-wanted.~ */
  IF ~~ THEN REPLY #86938 /* ~I prefer to distance myself from the past, and that means Gorion's as well.  Perhaps I shall meet you again, but it shall be on my terms.~ */ GOTO 6
  IF ~~ THEN REPLY #86939 /* ~I would be more than happy to have friends such as you back in my company.~ */ GOTO 7
END

IF ~!Dead("jaheira")
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 1 // from:
  SAY #86937 /* ~I-It would seem our paths were destined to c-cross once more.  Perhaps we s-should rejoin and continue on as Gorion would have w-wanted.~ */
  IF ~~ THEN REPLY #86938 /* ~I prefer to distance myself from the past, and that means Gorion's as well.  Perhaps I shall meet you again, but it shall be on my terms.~ */ GOTO 6
  IF ~~ THEN REPLY #86939 /* ~I would be more than happy to have friends such as you back in my company.~ */ GOTO 8
END

IF ~HappinessLT(Myself,0)
!InParty("jaheira")
~ THEN BEGIN 2 // from:
  SAY #86940 /* ~I c-cannot say that I have enjoyed our t-time together, but for the sake of Gorion I will not protest your actions further.  If there is anything of him within you, you will ultimately turn out alright... though it does seem doubtful at the moment.~ */
  IF ~~ THEN DO ~SetGlobal("IHATEYOUALL","LOCALS",0)
ChangeAIScript("",DEFAULT)
SetGlobal("IHATEYOUALL","LOCALS",0)
ChangeAIScript("",DEFAULT)
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~HappinessLT(Myself,0)
InParty("jaheira")
~ THEN BEGIN 3 // from:
  SAY #86941 /* ~I c-cannot say that I have enjoyed our t-time together, but for the sake of Gorion I will not protest your actions further.  If there is anything of him within you, you will ultimately turn out alright... though it does seem doubtful at the moment.  Come Jaheira d-darling.  We must leave this one to their chosen path.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",LeaveParty())
ActionOverride("jaheira",EscapeArea())
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)
!InParty("jaheira")
~ THEN BEGIN 4 // from:
  SAY #86942 /* ~V-v-very well.  Though I doubt G-Gorion would approve of me leaving you, I cannot force my company upon you.  These choices are yours to make.~ */
  IF ~  False()
~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
  IF ~  !AreaCheck("FW5100")
!AreaCheck("FW5101")
!AreaCheck("FW5102")
!AreaCheck("FW5103")
!AreaCheck("FW5401")
!AreaCheck("FW5402")
!AreaCheck("FW5403")
!AreaCheck("FW5404")
!AreaCheck("FW5405")
!AreaCheck("FW1900")
!AreaCheck("FW1901")
!AreaCheck("FW1903")
!AreaCheck("FW3900")
!AreaCheck("FW3901")
!AreaCheck("FW4500")
!AreaCheck("FW5201")
!AreaCheck("FW3500")
!AreaCheck("FW1603")
!AreaCheck("FW4501")
!AreaCheck("FW3601")
!AreaCheck("FW1401")
!AreaCheck("FW2101")
!AreaCheck("FW1801")
!AreaCheck("FW1802")
!AreaCheck("FW1803")
!AreaCheck("FW1804")
!AreaCheck("FW2615")
!AreaCheck("FW2619")
!AreaCheck("FW5506")
!AreaCheck("FW0500")
!AreaCheck("FW0501")
!AreaCheck("FW0502")
!AreaCheck("FW0503")
!AreaCheck("FW0504")
!AreaCheck("FW0505")
!AreaCheck("FW0506")
!AreaCheck("FW0507")
!AreaCheck("FW0508")
!AreaCheck("FW0509")
!AreaCheck("FW0510")
!AreaCheck("FW0511")
!AreaCheck("FW0512")
!AreaCheck("FW0513")
!AreaCheck("FW0514")
!AreaCheck("FW0515")
!AreaCheck("FW0516")
!AreaCheck("FW1002")
!AreaCheck("FW1003")
!AreaCheck("FW1008")
!AreaCheck("FW1009")
!AreaCheck("FW1500")
!AreaCheck("FW2000")
!AreaCheck("FW2012")
!AreaCheck("FW1501")
!AreaCheck("FW1502")
!AreaCheck("FW1503")
!AreaCheck("FW1504")
!AreaCheck("FW1505")
!AreaCheck("FW0400")
!AreaCheck("FW0606")
!AreaCheck("FW0607")
!AreaCheck("FW0608")
!AreaCheck("FW1113")
!AreaCheck("FW1114")
!AreaCheck("FW1201")
!AreaCheck("FW1202")
!AreaCheck("FW1207")
!AreaCheck("FW0721")
!AreaCheck("FW0611")
!AreaCheck("FW0621")
!AreaCheck("FW0123")
!AreaCheck("FW0125")
!AreaCheck("FW0126")
!AreaCheck("FW0137")
!AreaCheck("FW0138")
!AreaCheck("FW0139")
!AreaCheck("FW0140")
!AreaCheck("FW0141")
!AreaCheck("FW0142")
!AreaCheck("FW0146")
!AreaCheck("FW0161")
!AreaCheck("FW0224")
!AreaCheck("FW0225")
!AreaCheck("FW0226")
~ THEN REPLY #113579 /* ~Khalid, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 10
  IF ~  OR(84)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113579 /* ~Khalid, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 14
  IF ~  Global("Drawbridge","GLOBAL",1)
~ THEN REPLY #113562 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere in the city of Baldur's Gate.~ */ GOTO 17
  IF ~~ THEN REPLY #113563 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere along the Sword Coast.~ */ GOTO 16
  IF ~~ THEN REPLY #113580 /* ~On second thought, Khalid, I want you to stay with the group.~ */ GOTO 9
END

IF ~Global("KickedOut","LOCALS",0)
InParty("jaheira")
~ THEN BEGIN 5 // from:
  SAY #86943 /* ~V-v-very well.  Though I doubt G-Gorion would approve of me leaving you, I cannot force my company upon you.  These choices are yours to make.  Come Jaheira, we should take our leave for now.~ */
  IF ~  False()
~ THEN DO ~ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",SetDialogue("_JAHEIP"))
ActionOverride("jaheira",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("jaheira",LeaveParty())
SetGlobal("KickedOut","LOCALS",1)
~ EXIT
  IF ~  !AreaCheck("FW5100")
!AreaCheck("FW5101")
!AreaCheck("FW5102")
!AreaCheck("FW5103")
!AreaCheck("FW5401")
!AreaCheck("FW5402")
!AreaCheck("FW5403")
!AreaCheck("FW5404")
!AreaCheck("FW5405")
!AreaCheck("FW1900")
!AreaCheck("FW1901")
!AreaCheck("FW1903")
!AreaCheck("FW3900")
!AreaCheck("FW3901")
!AreaCheck("FW4500")
!AreaCheck("FW5201")
!AreaCheck("FW3500")
!AreaCheck("FW1603")
!AreaCheck("FW4501")
!AreaCheck("FW3601")
!AreaCheck("FW1401")
!AreaCheck("FW2101")
!AreaCheck("FW1801")
!AreaCheck("FW1802")
!AreaCheck("FW1803")
!AreaCheck("FW1804")
!AreaCheck("FW2615")
!AreaCheck("FW2619")
!AreaCheck("FW5506")
!AreaCheck("FW0500")
!AreaCheck("FW0501")
!AreaCheck("FW0502")
!AreaCheck("FW0503")
!AreaCheck("FW0504")
!AreaCheck("FW0505")
!AreaCheck("FW0506")
!AreaCheck("FW0507")
!AreaCheck("FW0508")
!AreaCheck("FW0509")
!AreaCheck("FW0510")
!AreaCheck("FW0511")
!AreaCheck("FW0512")
!AreaCheck("FW0513")
!AreaCheck("FW0514")
!AreaCheck("FW0515")
!AreaCheck("FW0516")
!AreaCheck("FW1002")
!AreaCheck("FW1003")
!AreaCheck("FW1008")
!AreaCheck("FW1009")
!AreaCheck("FW1500")
!AreaCheck("FW2000")
!AreaCheck("FW2012")
!AreaCheck("FW1501")
!AreaCheck("FW1502")
!AreaCheck("FW1503")
!AreaCheck("FW1504")
!AreaCheck("FW1505")
!AreaCheck("FW0400")
!AreaCheck("FW0606")
!AreaCheck("FW0607")
!AreaCheck("FW0608")
!AreaCheck("FW1113")
!AreaCheck("FW1114")
!AreaCheck("FW1201")
!AreaCheck("FW1202")
!AreaCheck("FW1207")
!AreaCheck("FW0721")
!AreaCheck("FW0611")
!AreaCheck("FW0621")
!AreaCheck("FW0123")
!AreaCheck("FW0125")
!AreaCheck("FW0126")
!AreaCheck("FW0137")
!AreaCheck("FW0138")
!AreaCheck("FW0139")
!AreaCheck("FW0140")
!AreaCheck("FW0141")
!AreaCheck("FW0142")
!AreaCheck("FW0146")
!AreaCheck("FW0161")
!AreaCheck("FW0224")
!AreaCheck("FW0225")
!AreaCheck("FW0226")
~ THEN REPLY #113579 /* ~Khalid, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 11
  IF ~  OR(84)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113579 /* ~Khalid, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 15
  IF ~  Global("Drawbridge","GLOBAL",1)
~ THEN REPLY #113562 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere in the city of Baldur's Gate.~ */ GOTO 19
  IF ~~ THEN REPLY #113563 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere along the Sword Coast.~ */ GOTO 18
  IF ~~ THEN REPLY #113580 /* ~On second thought, Khalid, I want you to stay with the group.~ */ GOTO 9
END

IF ~~ THEN BEGIN 6 // from: 1.0 0.0
  SAY #86944 /* ~T-t-that is disappointing, but I s-shall not give up on you, so long as you do not, either.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",SetDialogue("_JAHEIP"))
ActionOverride("jaheira",LeaveParty())
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.1
  SAY #86945 /* ~E-excellent!  It shall be as though we were never separated.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 1.1
  SAY #86945 /* ~E-excellent!  It shall be as though we were never separated.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",SetGlobal("KickedOut","LOCALS",0))
ActionOverride("jaheira",JoinParty())
SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 15.1 14.1 5.5 4.5
  SAY #113581 /* ~E-excellent! It shall be as though we were never separated.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 4.1
  SAY #113582 /* ~V-v-very well, <CHARNAME>. I shall w-wait for you here.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 5.1
  SAY #113583 /* ~V-v-very well, <CHARNAME>. W-we shall w-wait for you here.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",SetDialogue("_JAHEIP"))
ActionOverride("jaheira",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("jaheira",LeaveParty())
SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 14.0
  SAY #113584 /* ~I c-cannot say that I have enjoyed our t-time together, but for the sake of Gorion I would not protest your actions further. If there is anything of him within you, you will ultimately turn out alright... though it does seem doubtful at the moment.~ */
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 15.0
  SAY #113585 /* ~I c-cannot say that I have enjoyed our t-time together, but for the sake of Gorion I will not protest your actions further. If there is anything of him within you, you will ultimately turn out alright... though it does seem doubtful at the moment. Come, Jaheira d-darling. We must leave this one to <HISHER> chosen path.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",LeaveParty())
ActionOverride("jaheira",EscapeArea())
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 4.2
  SAY #113586 /* ~W-with all r-respect, I would not w-wait h-here for all the treasures of B-Balduran. B-better s-safe than s-sorry!~ */
  IF ~~ THEN REPLY #113571 /* ~Farewell then.~ */ GOTO 12
  IF ~~ THEN REPLY #113572 /* ~On second thought, I want you to stay with the group.~ */ GOTO 9
  IF ~  OR(59)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 16
  IF ~  OR(25)
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 17
END

IF ~~ THEN BEGIN 15 // from: 5.2
  SAY #113587 /* ~W-with all r-respect, Jaheira and I would not w-wait h-here for all the treasures of B-Balduran. B-better s-safe than s-sorry!~ */
  IF ~~ THEN REPLY #113571 /* ~Farewell then.~ */ GOTO 13
  IF ~~ THEN REPLY #113572 /* ~On second thought, I want you to stay with the group.~ */ GOTO 9
  IF ~  OR(59)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 18
  IF ~  OR(25)
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 19
END

IF ~~ THEN BEGIN 16 // from: 14.2 4.4
  SAY #113588 /* ~I shall w-wait for you at the F-Friendly Arm Inn. It is the p-perfect place to spend a few days recovering from the hardships of travel.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW2301",277,670,9)
~ EXIT
END

IF ~~ THEN BEGIN 17 // from: 14.3 4.3
  SAY #113589 /* ~When in B-Baldur's Gate, one should visit the Elfsong t-tavern. It is not a rule, rather a s-simple fact of life. <CHARNAME>, I will be there when you need me again.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW0706",463,449,14)
~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 15.2 5.4
  SAY #113590 /* ~W-we shall w-wait for you at the F-Friendly Arm Inn. It is the p-perfect place to spend a few days recovering from the hardships of travel.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",SetDialogue("_JAHEIP"))
ActionOverride("jaheira",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("jaheira",LeaveParty())
ActionOverride("jaheira",EscapeAreaMove("FW2301",256,618,13))
SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW2301",277,670,9)
~ EXIT
END

IF ~~ THEN BEGIN 19 // from: 15.3 5.3
  SAY #113591 /* ~When in B-Baldur's Gate, one should visit the Elfsong t-tavern. It is not a rule, rather a s-simple fact of life. <CHARNAME>, we will be there when you need us again.~ */
  IF ~~ THEN DO ~ActionOverride("jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("jaheira",SetDialogue("_JAHEIP"))
ActionOverride("jaheira",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("jaheira",LeaveParty())
ActionOverride("jaheira",EscapeAreaMove("FW0706",507,415,0))
SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW0706",463,449,14)
~ EXIT
END
